Add an existing record to a case.
HTTP Method: POST
| Parameter |
Description |
| record_id |
The ID of the record to add to the case. |
| Path Parameter |
Description |
| case_id |
The ID of the case. |
curl -X POST \
https://<tenant-domain>/api/v2/cases/<<case_id>>/records \
-H 'content-type: application/json' \
-H 'Authorization: Bearer <<CREDENTIAL.tines_api_key>>' \
-d '{
"record_id": 423
}'
A successful request will return a JSON object including the case and record id.
| Parameter |
Description |
| case_id |
The ID of the case that the record was added to. |
| record |
The record attached to the case. See the table below for more details. |
| Records parameter |
Description |
| id |
The record ID. |
| record_type |
The record type. Includes id and name. |
| records |
An array of record fields. Includes the field id, name, and value. |
| created_at |
The timestamp the record was created. |
{
"case_id": 1,
"record": {
"id": 423,
"record_type": { "id": 1, "name": "Alert" },
"records": [
{
"id": 1871,
"name": "Story name",
"value": "Cases API"
}
],
"created_at": "2023-12-18T22:29:22Z"
}
}